function [Krel] = KModulrelaxed(Kf,Ku,Kst,betac)

if betac==0
    F = 0;
else
    F = ((Kf*(Ku-Kst))/(betac*(Ku-Kf)));

    if isnan(F) || isinf(F)
        disp('F IS NAN OR INF -> SETTING TO ZERO!')
        F = 0;
    end
end
Krel = Ku*((Kst+F)/(Ku+F));